package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IAddValueServiceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "增值服务")
@RestController
@RequestMapping("/applet/addValueService")
public class AppletAddValueServiceController extends BaseController {
    @Autowired
    private IAddValueServiceService addValueServiceService;

    @ApiOperation("查询增值服务列表")
    @GetMapping("/getAddValueServiceList")
    public TableDataInfo getAddValueServiceList(){
        return getDataTable(addValueServiceService.getAddValueServiceList());
    }
}
