package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.model.service.IAppPlatformAgreementConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 协议规则配置
 */
@Api(description = "协议&规则")
@RestController
@RequestMapping("/applet/agreement")
public class AppletAgreementController extends BaseController {

    @Autowired
    private IAppPlatformAgreementConfigService appPlatformAgreementConfigService;

    @ApiOperation("平台协议")
    @GetMapping("/getPlatformAgreement")
    public AjaxResult getUserById(){
        return AjaxResult.success(appPlatformAgreementConfigService.getAppPlatformAgreementConfig());
    }
}
