package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IAppCheckImageService;
import com.ruoyi.model.service.IAppCheckImageTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "打卡")
@RestController
@RequestMapping("/applet/check")
public class AppletAppCheckImageController extends BaseController {
    @Autowired
    private IAppCheckImageService appCheckImageService;

    @ApiOperation("查询所有打卡图片列表")
    @GetMapping("/getAppCheckImageList")
    public TableDataInfo getAppCheckImageList(){
        return getDataTable(appCheckImageService.getAppCheckImageList());
    }

    @Autowired
    private IAppCheckImageTypeService appCheckImageTypeService;

    @ApiOperation("查询所有图片类型列表")
    @GetMapping("/getAppCheckImageTypeList")
    public TableDataInfo getAppCheckImageTypeList(){
        return getDataTable(appCheckImageTypeService.getAppCheckImageTypeList());
    }
}
