package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IFinalConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "最终准备页面配置")
@RestController
@RequestMapping("/applet/finalConfig")
public class AppletFinalConfigController extends BaseController {
    @Autowired
    private IFinalConfigService finalConfigService;

    @ApiOperation("查询最终配置页面列表")
    @GetMapping("/getFinalConfigList")
    public TableDataInfo getFinalConfigList(){
        return getDataTable(finalConfigService.getFinalConfigList());
    }
}
