package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.IndexPartnerConfig;
import com.ruoyi.model.service.IIndexPartnerConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(description = "加入合伙人提示配置")
@RestController
@RequestMapping("/applet/indexPartnerConfig")
public class AppletIndexPartnerConfigController extends BaseController {

    @Autowired
    private IIndexPartnerConfigService iIndexPartnerConfigService;

    @ApiOperation("查询加入合伙人提示配置列表")
    @GetMapping("/list")
    public TableDataInfo list(){
        List<IndexPartnerConfig> indexPartnerConfigList = iIndexPartnerConfigService.getIndexPartnerConfigList();
        return getDataTable(indexPartnerConfigList);
    }
}
