package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.ILicenseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "执照")
@RestController
@RequestMapping("/applet/license")
public class AppletLicenseController extends BaseController {

    @Autowired
    private ILicenseService iLicenseService;

    @ApiOperation("查询执照信息")
    @GetMapping("/list")
    public TableDataInfo list(){
        return getDataTable(iLicenseService.getLicenseList());
    }
}
