package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IAppOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "订单")
@RestController
@RequestMapping("/applet/order")
public class AppletOrderController extends BaseController {
    @Autowired
    private IAppOrderService appOrderService;

    @ApiOperation("查询所有订单列表")
    @GetMapping("/getAppOrderList")
    public TableDataInfo getAppOrderList(){
        return getDataTable(appOrderService.getAppOrderList());
    }
}
