package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.ISingleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "不接单信息")
@RestController
@RequestMapping("/applet/single")
public class AppletSingleController extends BaseController {
    @Autowired
    private ISingleService singleService;

    @ApiOperation("查询所有不接单信息")
    @GetMapping("/getSingleList")
    public TableDataInfo getSingleList(){
        return getDataTable(singleService.getSingleList());
    }
}
