package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.ITrainingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "培训")
@RestController
@RequestMapping("/applet/training")
public class AppletTrainingController extends BaseController {
    @Autowired
    private ITrainingService trainingService;

    @ApiOperation("查询考核培训文档")
    @GetMapping("/getTrainingList")
    public TableDataInfo getTrainingList(){
        return getDataTable(trainingService.getTrainingList());
    }
}
