package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppPlatformAgreementConfig;

/**
 * 平台协议配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface AppPlatformAgreementConfigMapper 
{
    /**
     * 查询平台协议配置
     * 
     * @param id 平台协议配置主键
     * @return 平台协议配置
     */
    public AppPlatformAgreementConfig selectAppPlatformAgreementConfigById(Long id);

    /**
     * 查询平台协议配置列表
     * 
     * @param appPlatformAgreementConfig 平台协议配置
     * @return 平台协议配置集合
     */
    public List<AppPlatformAgreementConfig> selectAppPlatformAgreementConfigList(AppPlatformAgreementConfig appPlatformAgreementConfig);

    /**
     * 新增平台协议配置
     * 
     * @param appPlatformAgreementConfig 平台协议配置
     * @return 结果
     */
    public int insertAppPlatformAgreementConfig(AppPlatformAgreementConfig appPlatformAgreementConfig);

    /**
     * 修改平台协议配置
     * 
     * @param appPlatformAgreementConfig 平台协议配置
     * @return 结果
     */
    public int updateAppPlatformAgreementConfig(AppPlatformAgreementConfig appPlatformAgreementConfig);

    /**
     * 删除平台协议配置
     * 
     * @param id 平台协议配置主键
     * @return 结果
     */
    public int deleteAppPlatformAgreementConfigById(Long id);

    /**
     * 批量删除平台协议配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppPlatformAgreementConfigByIds(Long[] ids);

    AppPlatformAgreementConfig getAppPlatformAgreementConfig();
}
