package com.cyl.h5.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.service.ISysConfigService;
import com.ruoyi.system.service.ISysDictTypeService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据字典信息
 *
 * @author daixiande
 */
//@Api("系统配置信息")
@RestController
@RequestMapping("/h5/system/config")
public class H5SysConfigController {

    @Autowired
    private ISysConfigService sysConfigService;

    /**
     * 根据字典类型查询字典数据信息
     */
    @GetMapping(value = "/{key}")
    public AjaxResult dictType(@PathVariable String key)
    {
        return AjaxResult.success(sysConfigService.selectConfigByKey(key));
    }
}
