package com.cyl.manager.marketing.pojo.vo;

import java.time.LocalDateTime;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;
/**
 * 微信商家券 数据视图对象
 * 
 * @author daixiande
 */
@Data
public class WechatStockVO extends BaseAudit {
    private Long id;
    private String stockName;
    private String comment;
    private String goodsName;
    private String stockType;
    private LocalDateTime availableBeginTime;
    private LocalDateTime availableEndTime;
    private Integer availableDayAfterReceive;
    private Integer discountAmount;
    private Integer transactionMinimum;
    private Integer discountPercent;
    private String useMethod;
    private String outRequestNo;
    private Integer maxCoupons;
    private Integer maxCouponsPerUser;
    private String couponCodeMode;
    private String stockState;
    private String stockId;

    private String sendType;
    private String discountType;
    private String eventType;
}
