package com.cyl.manager.oms.convert;

import com.cyl.manager.oms.pojo.vo.ManagerOrderProductExportVO;
import com.cyl.manager.oms.pojo.vo.ManagerOrderProductVO;
import org.mapstruct.Mapper;
import com.cyl.manager.oms.domain.OrderItem;
import com.cyl.manager.oms.pojo.vo.OrderItemVO;
import java.util.List;
/**
 * 订单中所包含的商品  DO <=> DTO <=> VO / BO / Query
 *
 * @author zcc
 */
@Mapper(componentModel = "spring")
public interface OrderItemConvert  {

    List<OrderItemVO> dos2vos(List<OrderItem> list);

    ManagerOrderProductExportVO vo2vo(ManagerOrderProductVO managerOrderProductVO);
}
