package com.cyl.manager.oms.pojo.vo;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("订单")
public class ManagerOrderProductExportVO {

    @ApiModelProperty("服务日期")
    @Excel(name = "服务日期")
    private String serviceDate;

    @ApiModelProperty("期望服务时间")
    @Excel(name = "期望服务时间")
    private String expectServiceTime;

    @ApiModelProperty("宠物 ID")
    @Excel(name = "宠物ID")
    private Integer petId;
    /** 宠物名称 */
    @ApiModelProperty("宠物名称")
    @Excel(name = "宠物名称")
    private String petName;
    @ApiModelProperty("宠物类型")
    @Excel(name = "宠物类型")
    private String petType;

    @ApiModelProperty("商品id")
    @Excel(name = "商品id")
    private Long productId;

    @ApiModelProperty("商品名称")
    @Excel(name = "商品名称")
    private String productName;

    @ApiModelProperty("购买数量")
    @Excel(name = "购买数量")
    private Integer buyNum;

    @ApiModelProperty("销售价格")
    @Excel(name = "销售价格")
    private BigDecimal salePrice;

}
