package com.cyl.manager.ums.controller;

import com.cyl.manager.ums.domain.MemberAddress;
import com.cyl.manager.ums.pojo.query.MemberAddressQuery;
import com.cyl.manager.ums.pojo.vo.MemberAddressVO;
import com.cyl.manager.ums.service.MemberService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/data")
@Slf4j
public class DataSyncController {
    @Autowired
    private MemberService memberService;

//    @ApiOperation("数据同步")
    @PostMapping("/sync")
    public ResponseEntity<String> sync() {
        return ResponseEntity.ok(memberService.sync());
    }

}
