package com.cyl.manager.ums.convert;

import com.cyl.manager.ums.domain.MemberPointHistory;
import com.cyl.manager.ums.pojo.dto.MemberPointHistoryDTO;
import org.mapstruct.Mapper;
/**
 * 积分集点明细  DO <=> DTO <=> VO / BO / Query
 *
 * @author daixiande
 */
@Mapper(componentModel = "spring")
public interface MemberPointHistoryConvert  {

    /**
     * @param source DO
     * @return DTO
     */
    MemberPointHistoryDTO do2dto(MemberPointHistory source);

    /**
     * @param source DTO
     * @return DO
     */
    MemberPointHistory dto2do(MemberPointHistoryDTO source);
}
