package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.AppBanner;
import com.ruoyi.model.service.IAppBannerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(description = "轮播图")
@RestController
@RequestMapping("/applet/banner")
public class AppletBannerController extends BaseController {
    //1.查询轮播图接口
    @Autowired
    private IAppBannerService iAppBannerService;

    @ApiOperation("轮播图列表")
    @GetMapping("/list")
    public TableDataInfo list(){
        return getDataTable(iAppBannerService.getBannerList());
    }
}
