package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.ICurrentConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "等级配置")
@RestController
@RequestMapping("/applet/currentConfig")
public class AppletCurrentConfigController extends BaseController {
    @Autowired
    private ICurrentConfigService currentConfigService;

    @ApiOperation("查询等级配置列表")
    @GetMapping("/getCurrentConfigList")
    public TableDataInfo getCurrentConfigList(){
        return getDataTable(currentConfigService.getCurrentConfigList());
    }
}
