package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IExamineConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "考核页面配置")
@RestController
@RequestMapping("/applet/examinationConfig")
public class AppletExamineConfigController extends BaseController {
    //1.查询考核页面配置
    @Autowired
    private IExamineConfigService examineConfigService;

    @ApiOperation("查询考核页面配置列表")
    @GetMapping("/getExamineConfigList")
    public TableDataInfo getExamineConfigList(){
        return getDataTable(examineConfigService.getExamineConfigList());
    }

}
