package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IAppFeedingFoodService;
import com.ruoyi.model.service.IAppFeedingFoodTypeService;
import com.ruoyi.model.service.IServiceRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "服务记录")
@RestController
@RequestMapping("/applet/serviceRecord")
public class AppletServiceRecordController extends BaseController {
    @Autowired
    private IServiceRecordService serviceRecordService;

    @ApiOperation("查询所有服务记录")
    @GetMapping("/getServiceRecordList")
    public TableDataInfo getServiceRecordList(){
        return getDataTable(serviceRecordService.getServiceRecordList());
    }
}
