
package com.cyl.h5.pojo.dto;

import com.cyl.manager.pms.domain.Product;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**

 * 宠物服务dto
 */
@Data
public class PetOrderServiceDTO {

    private Integer petId;

    private LocalDate serviceDate; // 服务日期 '2024-12-10',

    private Integer feedCount; // 当天喂养次数 1,2,3 参与计算

    //固定String：MORNING:上午, AFTERNOON：午后, EVENING：晚上

    private String selectedTimeSlots; // 选择的上门时间段

    //定制服务
    private List<OrderProductListDTO> skuList;

}