package com.cyl.h5.pojo.dto;

import com.cyl.manager.pms.domain.Sku;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ProductDTO {
    private Long id;
    private String pic;
    private String albumPics;
    private String detailPic;
    private String name;
    private BigDecimal price;

    private String unit;
    private BigDecimal weight;

    private String description;
    private String shortDescription;

    private Long categoryId;
    private String productCategoryName;

    private String detailHtml;
    private String detailMobileHtml;

    private List<Sku> skus;
}
