package com.cyl.h5.pojo.request;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class StaffAuthenticateBaseInfoRequest {

    /** 伴宠师id*/
    @ApiModelProperty(value = "伴宠师id")
    @NotNull(message = "伴宠师id不能为空")
    private Long Id;

    /** 伴宠师姓名*/
    @ApiModelProperty(value = "伴宠师姓名")
    private String name;

    /** 伴宠师性别*/
    @ApiModelProperty(value = "伴宠师性别 1男 2女")
    private Integer gender;

    /** 伴宠师年龄*/
    @ApiModelProperty(value = "伴宠师年龄")
    private Integer age;

    /** 养宠经验*/
    @ApiModelProperty(value = "养宠经验")
    private Integer feedingAge;

    /**个人宠物类型，多个类型逗号分隔(1:猫咪，2狗狗 3异宠) */
    @ApiModelProperty("个人宠物类型，多个类型逗号分隔(1:猫咪，2狗狗 3异宠)")
    private String petType;

    /**宠物图片 */
    @ApiModelProperty("个人宠物类型，多个类型逗号分隔(1:猫咪，2狗狗 3异宠)")
    private JSONArray petImages;
}
