package com.cyl.h5.pojo.request;

import com.cyl.manager.staff.domain.Staff;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Data
public class StaffListRequest extends Staff {

    //时间
    @ApiModelProperty(value = "时间")
    List<String> timeArray;
    //姓名
    @ApiModelProperty(value = "姓名")
    String staffName;
    //宠物类型 1猫咪，2狗狗
    @ApiModelProperty(value = "宠物类型 1猫咪，2狗狗")
    List<String> petTypes;
    //经度
    @ApiModelProperty(value = "经度")
    String longitude;
    //纬度
    @ApiModelProperty(value = "纬度")
    String latitude;
}
