package com.cyl.manager.staff.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyl.manager.staff.domain.StaffAnswerRecord;
import com.cyl.manager.staff.domain.dto.StaffAnswerAuditDTO;

/**
 * <p>
 * 答题记录表 服务类
 * </p>
 *
 * @author 谷瑶
 * @since 2024-12-18
 */
public interface IStaffAnswerRecordService extends IService<StaffAnswerRecord> {

    /**
     * 审核答题
     * @param auditDTO
     * @return
     */
    boolean audit(StaffAnswerAuditDTO auditDTO);
}
