package com.cyl.manager.ums.convert;

import com.cyl.manager.ums.domain.PetCare;
import com.cyl.manager.ums.pojo.vo.PetCareVO;
import org.mapstruct.Mapper;
/**
 * 宠物服务档案  DO <=> DTO <=> VO / BO / Query
 *
 * @author daixiande
 */
@Mapper(componentModel = "spring")
public interface PetCareConvert  {

    /**
     * @param source DO
     * @return DTO
     */
    PetCareVO do2dto(PetCare source);

    /**
     * @param source DTO
     * @return DO
     */
    PetCare dto2do(PetCareVO source);
}
