package com.cyl.manager.ums.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import lombok.Data;
/**
 * 门锁信息对象 ums_member_door_lock
 * 
 * @author daixiande
 */
@Data
public class MemberDoorLock extends BaseAudit {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long memberId;
    /** openId */
    @Excel(name = "openId")
    private String openId;

    /** 房屋类型 */
    @Excel(name = "房屋类型")
    private String houseType;

    /** 门锁类型 */
    @Excel(name = "门锁类型")
    private String lockType;

    /** 如何交接钥匙 */
    @Excel(name = "如何交接钥匙")
    private String keyHandover;

    /** 钥匙位置 */
    @Excel(name = "钥匙位置")
    private String keyStorageLocation;

}
